@echo off
pushd %~dp0
SET CurDir=%CD%\

Set RegQry=HKLM\Hardware\Description\System\CentralProcessor\0
REG.exe Query %RegQry%  | Find /i "x86" 
if %ERRORLEVEL% == 0 (
    goto 32Bit
) else (
    goto 64Bit
)

:32Bit
REG IMPORT Registerx86.reg
start "%CurDir%" "GetDataBackSimple.exe"
exit

:64Bit
REG IMPORT Registerx64.reg
start "%CurDir%" "GetDataBackSimple.exe"
exit